#!/bin/sh
#
# alias s "grep jmc_msg $HOME/.mwm-jmc/bin/monitor.sh | rtw -J | sort"
#

. $HOME/.mwm-jmc/bin/setup.sh

#------------------------------------------------------------------------------
# killthings() -- kill prior progs
#------------------------------------------------------------------------------
killthings()
{

    type killall > /dev/null 2>&1
    if test "$?" -eq "0"
    then
	killprog=killall
    else
	killprog=pkill
    fi

    $killprog conky      > /dev/null 2>&1
    $killprog torsmo     > /dev/null 2>&1
    $killprog -9 conky   > /dev/null 2>&1
    $killprog -9 torsmo  > /dev/null 2>&1

} # END: killthings()

###############################################################################
# main
###############################################################################
rmode="$1"

use_msg="N"

pgrep  $pgreparg -u "$USER" mwm > /dev/null
if test "$?" -ne "0"
then
    jmc_msg "2" "ERROR" "E01: mwm not active"
fi

case "$rmode" in
    "conky"|"torsmo")
	;;
    "message")
	use_msg="Y"
	type torsmo > /dev/null 2>&1
	if test "$?" = "0"
	then
	    rmode="torsmo"
	else
	    rmode="conky"
	fi
	;;
    *)
	jmc_msg "2" "ERROR" "E02: $rmode invalid"
	;;
esac

case "$rmode" in
    "conky")
	type conky > /dev/null 2>&1
	if test "$?" != "0"
	then
	    jmc_msg "2" "ERROR" "E05: cannot locate conky"
	fi
	killthings
	if test "$use_msg" = "Y"
	then
	    conky -c $HOME/Data/conky/mini/messages &
	else
	    $HOME/bin/Util/conky.sh &
	fi
	;;
    "torsmo")
	type torsmo > /dev/null 2>&1
	if test "$?" != "0"
	then
	    jmc_msg "2" "ERROR" "E04: cannot locate torsmo"
	fi
	killthings
	torsmo -c /home/jmccue/Data/torsmo/messages -f '-*-courier-bold-r-normal-*-14-*-*-*-*-*-*-*' &
	;;
    *)
	jmc_msg "2" "ERROR" "E03: $rmode invalid"
	;;
esac


