#!/bin/sh
#
# Stick a specific client
#
# note need xwininfo, xprop does not work 100% of the time
#      xprop has a tough time with iconbox in mwm
#

#------------------------------------------------------------------------------
# check required progs, with the state if linux type systems
# these days, there is no guarantee what was considered standard
# utilities are installed
#------------------------------------------------------------------------------
type xmessage > /dev/null 2>&1
if test "$?" -ne "0"
then
    echo "ERROR E01 $0: prog xmessage missing" &
    exit 2
fi

type xwininfo > /dev/null 2>&1
if test "$?" -ne "0"
then
    xmessage -timeout 15 "ERROR E02 $0: prog xwininfo missing" &
    exit 2
fi

type sed > /dev/null 2>&1
if test "$?" -ne "0"
then
    xmessage -timeout 15 "ERROR E03 $0: prog sed missing" &
    exit 2
fi

type awk > /dev/null 2>&1
if test "$?" -ne "0"
then
    xmessage -timeout 15 "ERROR E04 $0: prog awk missing" &
    exit 2
fi

type grep > /dev/null 2>&1
if test "$?" -ne "0"
then
    xmessage -timeout 15 "ERROR E05 $0: prog grep missing" &
    exit 2
fi

type vdesk > /dev/null 2>&1
if test "$?" -ne "0"
then
    xmessage "ERROR E06 $0: get 'vdesk' from http://offog.org/code/vdesk.html" &
    exit 2
fi

#------------------------------------------------------------------------------
# process
#------------------------------------------------------------------------------
umask 077

if test -d "$TMPDIR"
then
    tfile=$TMPDIR/temp.stickw.$$.$USER.temp
else
    tfile=$HOME/temp.stickw.$$.$YSER.temp
fi

xmessage -geometry '-0+0' -timeout 2 "Select client to stick" &

xwininfo | grep '^xwininfo: Window id:' \
    | sed 's/^xwininfo: Window id://'   \
    > $tfile
wid=`awk '{print $1}' < $tfile`
wname=`sed "s/$wid//;s/^ *//" < $tfile`

rm -f "$tfile"

xmessage -geometry '-0+0' -timeout 5 "Window ID $wid / $wname will be 'stuck'" &

# from : http://offog.org/code/vdesk.html
vdesk stick "$wid"

exit 0
