#!/bin/sh
#
# allows swaping (moving to next/prev)
# when using vdesk
#

specific()
{
    newnum="$1"

    expr $newnum + 0 > /dev/null 2>&1
    if test "$?" -eq "0"
    then
	if test "$newnum" -le "$max"
	then
	    curr="$newnum"
	fi
    fi

} # END: specific()

###############################################################################
# main
###############################################################################
max="$1"
rmode="$2"

fhome=$HOME/.mwm-jmc
fbin=$fhome/bin
fdata=$fhome/data
vfile=$fdata/vdesk_current.dat

if test "$rmode" = "start"
then
    echo "1" > "$vfile"
    exit 0
fi

curr=`cat "$vfile"`

if test "$curr" -eq "$max"
then
    next_one="1"
    prev_one=`expr $curr - 1`
else
    if test "$curr" -eq "1"
    then
	prev_one="$max"
	next_one=`expr $curr + 1`
    else
	prev_one=`expr $curr - 1`
	next_one=`expr $curr + 1`
    fi
fi

case "$rmode" in
    "next")
	curr="$next_one"
	;;
    "prev")
	curr="$prev_one"
	;;
    *)
	specific "$rmode"
	;;
esac

echo "$curr" > "$vfile"
vdesk "$curr"

#--- prompt when desktop change
#xmessage -geometry '+0+0' -timeout 1 "Desktop $curr" &

exit 0
